class CreateParts < ActiveRecord::Migration[6.0]
  def change
    create_table :parts do |t|
      t.string :name
      t.decimal :price, precision: 8, scale: 2
      t.decimal :weight, precision: 8, scale: 2

      t.timestamps
    end
    add_index :parts, :name, unique: true
  end
end
