require "application_system_test_case"

class RecallsTest < ApplicationSystemTestCase
  setup do
    @recall = recalls(:one)
  end

  test "visiting the index" do
    visit recalls_url
    assert_selector "h1", text: "Recalls"
  end

  test "creating a Recall" do
    visit recalls_url
    click_on "New Recall"

    fill_in "Description", with: @recall.description
    fill_in "Part", with: @recall.part_id
    click_on "Create Recall"

    assert_text "Recall was successfully created"
    click_on "Back"
  end

  test "updating a Recall" do
    visit recalls_url
    click_on "Edit", match: :first

    fill_in "Description", with: @recall.description
    fill_in "Part", with: @recall.part_id
    click_on "Update Recall"

    assert_text "Recall was successfully updated"
    click_on "Back"
  end

  test "destroying a Recall" do
    visit recalls_url
    page.accept_confirm do
      click_on "Destroy", match: :first
    end

    assert_text "Recall was successfully destroyed"
  end
end
