module Automobiles
  class CalculatePrice
    # Automobiles::CalculatePrice.new(automobile).call
    # Automobiles::CalculatePrice.call(automobile)

    def self.call(automobile)
      new(automobile).call
    end

    attr_accessor :automobile
    def initialize(automobile)
      @automobile = automobile
    end

    def call
      automobile.parts.sum(:price)
    end
  end
end