module Automobiles
  class CalculateWeight
    # Automobiles::CalculateWeight.new(automobile).call
    # Automobiles::CalculateWeight.call(automobile)

    def self.call(automobile)
      new(automobile).call
    end

    attr_accessor :automobile
    def initialize(automobile)
      @automobile = automobile
    end

    def call
      automobile.parts.sum(:weight)
    end
  end
end