class CreateAutomobiles < ActiveRecord::Migration[6.0]
  def change
    create_table :automobiles do |t|
      t.belongs_to :manufacture, null: false, foreign_key: true
      t.string :name
      t.integer :year, limit: 4

      t.timestamps
    end
    add_index :automobiles, :name, unique: true
  end
end
