require "application_system_test_case"

class AutomobilesTest < ApplicationSystemTestCase
  setup do
    @automobile = automobiles(:one)
  end

  test "visiting the index" do
    visit automobiles_url
    assert_selector "h1", text: "Automobiles"
  end

  test "creating a Automobile" do
    visit automobiles_url
    click_on "New Automobile"

    fill_in "Manufacture", with: @automobile.manufacture_id
    fill_in "Name", with: @automobile.name
    fill_in "Year", with: @automobile.year
    click_on "Create Automobile"

    assert_text "Automobile was successfully created"
    click_on "Back"
  end

  test "updating a Automobile" do
    visit automobiles_url
    click_on "Edit", match: :first

    fill_in "Manufacture", with: @automobile.manufacture_id
    fill_in "Name", with: @automobile.name
    fill_in "Year", with: @automobile.year
    click_on "Update Automobile"

    assert_text "Automobile was successfully updated"
    click_on "Back"
  end

  test "destroying a Automobile" do
    visit automobiles_url
    page.accept_confirm do
      click_on "Destroy", match: :first
    end

    assert_text "Automobile was successfully destroyed"
  end
end
